function deNumberString(n)
{
    return (n < 10)? '0'+n : n;
}

function deString(date)
{
    return date.getFullYear() + 
	   '-' +
	   deNumberString(date.getMonth()+1) + 
	   '-' +
	   deNumberString(date.getDate());
}

function deDate(input)
{
    var v = input.val().split('-');

    if (v.length != 3)
	return new Date();
    else
	return new Date(v[0],v[1]-1,v[2]);
}

function deCreateCalendar(name)
{
    var input = $('input[name='+name+']');

    $('#'+name+'-calendar').calendar(deDate(input),
				     function(d) { input.val(deString(d)) });
}

function deMove(name)
{
	var input = $('input[name='+name+']');
	var offset = input.offset();

	$('#'+name+'-calendar').css( { position: 'absolute',
	                               left: offset.left+"px",
	                               top: (offset.top+input.outerHeight())+"px",
	                               zIndex: 10000 } );
};

function deToggle(name,effect)
{
	$('#'+name+'-calendar').toggle(effect);

	deMove(name);
}

function deCreatePicker(name)
{
    var input = $('input[name='+name+']');

    $('#'+name+'-calendar').calendar(deDate(input),
				     function(d) {
					input.val(deString(d));
					deToggle(name);
				    });

    $('#'+name+'-button').click(function() { deToggle(name,'fast'); });
    deToggle(name);
}
