(define-module (alterator workflow form)
  :use-module (alterator algo)
  :use-module (alterator woo)

  :use-module (alterator configd form)
  :use-module (alterator configd html)
  :export (workflow))

(define (workflow url url-args template-args)
  (let ((action (cond-assq 'action template-args "read")))
     (woo-catch
      (thunk (workflow-form url action url-args template-args))
      (lambda(reason)
        (html:error (workflow-form url "read" url-args template-args) reason)))))
