(define-module (alterator configd constraints)
  :use-module (srfi srfi-2)
  :use-module (alterator str)
  :use-module (alterator plist)
  :use-module (alterator algo)
  :use-module (alterator woo)
  :use-module (alterator constraints)
  :use-module (alterator http html)
  :use-module (alterator http template)
  :export (fill-constraints))

(define (fill-constraints action url . url-args)
  (woo-catch
   (thunk
    (let ((constraints (read-constraints action url url-args)))
       (tag: "label"
             (lambda(options content)
               (or (and-let* ((id (cond-assq 'for options))
                              (info (cond-plistq (string->symbol id) constraints)))
                             (cond-plistq 'label info))
                   content)))))
   (lambda args '())))
