(define-module (alterator configd workflow)
  :use-module (alterator str)
  :use-module (alterator algo)
  :use-module (alterator woo)

  :export (process-workflow))

(define (make-workflow name)
 (catch/ignore #t
   (lambda()
     (eval 'workflow
           (resolve-module (list 'alterator 'workflow (string->symbol name)))))))

(define (process-workflow action url url-args template-args)
  (let* ((name (cond-assq 'template template-args "form"))
         (proc (make-workflow name)))
    (if (procedure? proc)
      (proc url url-args (acons 'action action template-args))
      (woo-throw "Unable to find workflow " name))))
